org.apache.commons.jexl.util

## Class MapGetExecutor

- java.lang.Object
- - org.apache.commons.jexl.util.AbstractExecutor
  - - org.apache.commons.jexl.util.MapGetExecutor

    public class MapGetExecutor
    extends AbstractExecutor

GetExecutor that is smart about Maps. If it detects one, it does not use Reflection but a cast to access the getter.

Version:
  $Id$
Author:
  Henning P. Schmiedehausen

### Field Summary

### Fields inherited from class org.apache.commons.jexl.util.AbstractExecutor

`method, rlog`

### Constructor Summary

Constructors
Constructor and Description
`MapGetExecutor(org.apache.commons.logging.Log rlog, java.lang.Class clazz, java.lang.String property)`

### Method Summary

Methods
`protected void` `discover(java.lang.Class clazz)`
`java.lang.Object` `execute(java.lang.Object o)` Execute method against context.

### Methods inherited from class org.apache.commons.jexl.util.AbstractExecutor

`getMethod, isAlive`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MapGetExecutor

    public MapGetExecutor(org.apache.commons.logging.Log rlog,
                  java.lang.Class clazz,
                  java.lang.String property)

### Method Detail

#### discover

    protected void discover(java.lang.Class clazz)

#### execute

    public java.lang.Object execute(java.lang.Object o)

Description copied from class: `AbstractExecutor`
Execute method against context.

Specified by:
  `execute` in class `AbstractExecutor`
Parameters:
  `o` - The owner.
Returns:
  The return value.